package jesse.keeblarcraft.FactionMgr;

import java.util.Map;

import static java.util.Map.entry;

// This class is going to keep track of everything related to items that the faction block is allowed to accept and
// information regarding those items.
public class FactionBlockItems {
    public static enum ITEM_TIER {
        COMMON,
        UNCOMMON,
        RARE,
        VERY_RARE,
        LEGENDARY
    }

    // TODO: Need to add the Item information for these down below; but I haven't made them yet! The string should
    // make it obvious what needs to go here though.
    public static Map<String, ITEM_TIER> FACTION_UPGRADES = Map.ofEntries(
        entry("keeblarcraft:faction_flight", ITEM_TIER.UNCOMMON),
        entry("keeblarcraft:faction_beacon", ITEM_TIER.RARE)
    );
}
